Loading...
Searching...
No Matches
etl::variant< T1, T2, T3, T4, T5, T6, T7, T8 >::reader_type< R1, R2, R3, R4, R5, R6, no_type7, no_type8 > Class Template Referenceabstract

Define the reader type for 6 types. More...

`#include <variant_legacy.h>`

## Public Member Functions

virtual void | read (typename etl::parameter_type< R1 >::type value)=0
virtual void | read (typename etl::parameter_type< R2 >::type value)=0
virtual void | read (typename etl::parameter_type< R3 >::type value)=0
virtual void | read (typename etl::parameter_type< R4 >::type value)=0
virtual void | read (typename etl::parameter_type< R5 >::type value)=0
virtual void | read (typename etl::parameter_type< R6 >::type value)=0

## Friends

class | variant

## Detailed Description

template<typename T1, typename T2 = etl::null_type<2>, typename T3 = etl::null_type<3>, typename T4 = etl::null_type<4>, typename T5 = etl::null_type<5>, typename T6 = etl::null_type<6>, typename T7 = etl::null_type<7>, typename T8 = etl::null_type<8>>
template<typename R1, typename R2, typename R3, typename R4, typename R5, typename R6>
class etl::variant< T1, T2, T3, T4, T5, T6, T7, T8 >::reader_type< R1, R2, R3, R4, R5, R6, no_type7, no_type8 >

Define the reader type for 6 types.

The documentation for this class was generated from the following file:

- include/etl/private/variant_legacy.h